CVE-2005-2335
CVSS5.0
发布时间 :2005-07-27 00:00:00
修订时间 :2011-03-07 21:24:07
NMCOPS    

[原文]Buffer overflow in the POP3 client in Fetchmail before 6.2.5.2 allows remote POP3 servers to cause a denial of service and possibly execute arbitrary code via long UIDL responses. NOTE: a typo in an advisory accidentally used the wrong CVE identifier for the Fetchmail issue. This is the correct identifier.


[CNNVD]Fetchmail UIDL 缓冲区溢出漏洞(CNNVD-200507-268)

        fetchmail是免费的软件包,可以从远程POP2、POP3、IMAP、ETRN或ODMR服务器检索邮件并将其转发给本地SMTP、LMTP服务器或消息传送代理。
        Fetchmail的pop3客户端存在缓冲区溢出漏洞。利用一个长UIDL响应,远程攻击者可以执行任意代码或拒绝服务攻击。
        

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-119 [内存缓冲区边界内操作的限制不恰当]

- CPE (受影响的平台与产品)

cpe:/a:fetchmail:fetchmail:6.1.0Fetchmail 6.1.0
cpe:/a:fetchmail:fetchmail:5.2.1Fetchmail 5.2.1
cpe:/a:fetchmail:fetchmail:4.6.1Fetchmail 4.6.1
cpe:/a:fetchmail:fetchmail:6.2.0Fetchmail 6.2.0
cpe:/a:fetchmail:fetchmail:5.5.3Fetchmail 5.5.3
cpe:/a:fetchmail:fetchmail:4.7.7Fetchmail 4.7.7
cpe:/a:fetchmail:fetchmail:4.7.6Fetchmail 4.7.6
cpe:/a:fetchmail:fetchmail:5.4.5Fetchmail 5.4.5
cpe:/a:fetchmail:fetchmail:5.0.0Fetchmail 5.0.0
cpe:/a:fetchmail:fetchmail:4.6.8Fetchmail 4.6.8
cpe:/a:fetchmail:fetchmail:5.5.0Fetchmail 5.5.0
cpe:/a:fetchmail:fetchmail:5.8.4Fetchmail 5.8.4
cpe:/a:fetchmail:fetchmail:4.5.3Fetchmail 4.5.3
cpe:/a:fetchmail:fetchmail:5.0.6Fetchmail 5.0.6
cpe:/a:fetchmail:fetchmail:4.7.2Fetchmail 4.7.2
cpe:/a:fetchmail:fetchmail:5.1.0Fetchmail 5.1.0
cpe:/a:fetchmail:fetchmail:5.9.8Fetchmail 5.9.8
cpe:/a:fetchmail:fetchmail:4.6.0Fetchmail 4.6.0
cpe:/a:fetchmail:fetchmail:5.8.13Fetchmail 5.8.13
cpe:/a:fetchmail:fetchmail:4.5.2Fetchmail 4.5.2
cpe:/a:fetchmail:fetchmail:6.2.2Fetchmail 6.2.2
cpe:/a:fetchmail:fetchmail:4.7.5Fetchmail 4.7.5
cpe:/a:fetchmail:fetchmail:5.9.5Fetchmail 5.9.5
cpe:/a:fetchmail:fetchmail:4.6.9Fetchmail 4.6.9
cpe:/a:fetchmail:fetchmail:5.0.3Fetchmail 5.0.3
cpe:/a:fetchmail:fetchmail:5.9.0Fetchmail 5.9.0
cpe:/a:fetchmail:fetchmail:4.7.4Fetchmail 4.7.4
cpe:/a:fetchmail:fetchmail:5.9.10Fetchmail 5.9.10
cpe:/a:fetchmail:fetchmail:5.6.0Fetchmail 5.6.0
cpe:/a:fetchmail:fetchmail:5.9.11Fetchmail 5.9.11
cpe:/a:fetchmail:fetchmail:5.0.7Fetchmail 5.0.7
cpe:/a:fetchmail:fetchmail:4.5.1Fetchmail 4.5.1
cpe:/a:fetchmail:fetchmail:5.8.11Fetchmail 5.8.11
cpe:/a:fetchmail:fetchmail:5.2.0Fetchmail 5.2.0
cpe:/a:fetchmail:fetchmail:4.5.5Fetchmail 4.5.5
cpe:/a:fetchmail:fetchmail:4.6.2Fetchmail 4.6.2
cpe:/a:fetchmail:fetchmail:5.8.14Fetchmail 5.8.14
cpe:/a:fetchmail:fetchmail:6.2.1Fetchmail 6.2.1
cpe:/a:fetchmail:fetchmail:5.3.0Fetchmail 5.3.0
cpe:/a:fetchmail:fetchmail:6.2.5Fetchmail 6.2.5
cpe:/a:fetchmail:fetchmail:6.1.3Fetchmail 6.1.3
cpe:/a:fetchmail:fetchmail:4.5.4Fetchmail 4.5.4
cpe:/a:fetchmail:fetchmail:5.9.4Fetchmail 5.9.4
cpe:/a:fetchmail:fetchmail:6.3.4Fetchmail 6.3.4
cpe:/a:fetchmail:fetchmail:5.8.5Fetchmail 5.8.5
cpe:/a:fetchmail:fetchmail:4.5.7Fetchmail 4.5.7
cpe:/a:fetchmail:fetchmail:4.6.4Fetchmail 4.6.4
cpe:/a:fetchmail:fetchmail:5.2.3Fetchmail 5.2.3
cpe:/a:fetchmail:fetchmail:4.5.8Fetchmail 4.5.8
cpe:/a:fetchmail:fetchmail:5.0.5Fetchmail 5.0.5
cpe:/a:fetchmail:fetchmail:4.5.6Fetchmail 4.5.6
cpe:/a:fetchmail:fetchmail:5.0.2Fetchmail 5.0.2
cpe:/a:fetchmail:fetchmail:5.5.5Fetchmail 5.5.5
cpe:/a:fetchmail:fetchmail:5.1.4Fetchmail 5.1.4
cpe:/a:fetchmail:fetchmail:5.5.6Fetchmail 5.5.6
cpe:/a:fetchmail:fetchmail:4.7.3Fetchmail 4.7.3
cpe:/a:fetchmail:fetchmail:5.0.1Fetchmail 5.0.1
cpe:/a:fetchmail:fetchmail:5.9.13Fetchmail 5.9.13
cpe:/a:fetchmail:fetchmail:5.7.0Fetchmail 5.7.0
cpe:/a:fetchmail:fetchmail:5.2.8Fetchmail 5.2.8
cpe:/a:fetchmail:fetchmail:5.3.1Fetchmail 5.3.1
cpe:/a:fetchmail:fetchmail:5.3.8Fetchmail 5.3.8
cpe:/a:fetchmail:fetchmail:5.4.3Fetchmail 5.4.3
cpe:/a:fetchmail:fetchmail:4.6.3Fetchmail 4.6.3
cpe:/a:fetchmail:fetchmail:5.8.2Fetchmail 5.8.2
cpe:/a:fetchmail:fetchmail:5.7.4Fetchmail 5.7.4
cpe:/a:fetchmail:fetchmail:5.2.4Fetchmail 5.2.4
cpe:/a:fetchmail:fetchmail:6.0.0Fetchmail 6.0.0
cpe:/a:fetchmail:fetchmail:4.7.1Fetchmail 4.7.1
cpe:/a:fetchmail:fetchmail:5.8Fetchmail 5.8
cpe:/a:fetchmail:fetchmail:6.2.5.1Fetchmail 6.2.5.1
cpe:/a:fetchmail:fetchmail:4.6.6Fetchmail 4.6.6
cpe:/a:fetchmail:fetchmail:4.6.5Fetchmail 4.6.5
cpe:/a:fetchmail:fetchmail:5.5.2Fetchmail 5.5.2
cpe:/a:fetchmail:fetchmail:4.6.7Fetchmail 4.6.7
cpe:/a:fetchmail:fetchmail:6.2.3Fetchmail 6.2.3
cpe:/a:fetchmail:fetchmail:5.4.4Fetchmail 5.4.4
cpe:/a:fetchmail:fetchmail:5.0.8Fetchmail 5.0.8
cpe:/a:fetchmail:fetchmail:4.7.0Fetchmail 4.7.0
cpe:/a:fetchmail:fetchmail:5.3.3Fetchmail 5.3.3
cpe:/a:fetchmail:fetchmail:5.0.4Fetchmail 5.0.4
cpe:/a:fetchmail:fetchmail:5.8.3Fetchmail 5.8.3
cpe:/a:fetchmail:fetchmail:5.7.2Fetchmail 5.7.2
cpe:/a:fetchmail:fetchmail:5.2.7Fetchmail 5.2.7
cpe:/a:fetchmail:fetchmail:5.8.17Fetchmail 5.8.17
cpe:/a:fetchmail:fetchmail:5.8.6Fetchmail 5.8.6
cpe:/a:fetchmail:fetchmail:6.2.4Fetchmail 6.2.4
cpe:/a:fetchmail:fetchmail:5.8.1Fetchmail 5.8.1
cpe:/a:fetchmail:fetchmail:5.4.0Fetchmail 5.4.0

- OVAL (用于检测的技术细节)

oval:org.mitre.oval:def:8833Buffer overflow in the POP3 client in Fetchmail before 6.2.5.2 allows remote POP3 servers to cause a denial of service and possibly execute ...
oval:org.mitre.oval:def:1124RHE4 Fetchmail Buffer Overflow via Long UIDL Responses
oval:org.mitre.oval:def:1038RHE3 Fetchmail Buffer Overflow via Long UIDL Responses
*OVAL详细的描述了检测该漏洞的方法,你可以从相关的OVAL定义中找到更多检测该漏洞的技术细节。

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-2335
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-2335
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200507-268
(官方数据源) CNNVD

- 其它链接及资源

http://www.us-cert.gov/cas/techalerts/TA06-214A.html
(UNKNOWN)  CERT  TA06-214A
http://www.securityfocus.com/bid/14349
(PATCH)  BID  14349
http://www.redhat.com/archives/fedora-announce-list/2005-July/msg00089.html
(PATCH)  FEDORA  FEDORA-2005-614
http://fetchmail.berlios.de/fetchmail-SA-2005-01.txt
(VENDOR_ADVISORY)  CONFIRM  http://fetchmail.berlios.de/fetchmail-SA-2005-01.txt
http://developer.berlios.de/project/shownotes.php?release_id=6617
(PATCH)  CONFIRM  http://developer.berlios.de/project/shownotes.php?release_id=6617
http://www.vupen.com/english/advisories/2006/3101
(UNKNOWN)  VUPEN  ADV-2006-3101
http://www.vupen.com/english/advisories/2005/1171
(UNKNOWN)  VUPEN  ADV-2005-1171
http://www.securityfocus.com/bid/19289
(UNKNOWN)  BID  19289
http://www.securityfocus.com/archive/1/archive/1/441856/100/200/threaded
(UNKNOWN)  BUGTRAQ  20060801 DMA[2006-0801a] - 'Apple OSX fetchmail buffer overflow'
http://www.securityfocus.com/archive/1/archive/1/435197/100/0/threaded
(UNKNOWN)  BUGTRAQ  20060526 rPSA-2006-0084-1 fetchmail
http://www.redhat.com/support/errata/RHSA-2005-640.html
(UNKNOWN)  REDHAT  RHSA-2005:640
http://www.redhat.com/archives/fedora-announce-list/2005-July/msg00104.html
(UNKNOWN)  MISC  http://www.redhat.com/archives/fedora-announce-list/2005-July/msg00104.html
http://www.redhat.com/archives/fedora-announce-list/2005-July/msg00088.html
(UNKNOWN)  FEDORA  FEDORA-2005-613
http://www.osvdb.org/18174
(UNKNOWN)  OSVDB  18174
http://www.novell.com/linux/security/advisories/2005_18_sr.html
(UNKNOWN)  SUSE  SUSE-SR:2005:018
http://www.debian.org/security/2005/dsa-774
(UNKNOWN)  DEBIAN  DSA-774
http://secunia.com/advisories/21253
(VENDOR_ADVISORY)  SECUNIA  21253
http://secunia.com/advisories/16176
(VENDOR_ADVISORY)  SECUNIA  16176
http://lists.apple.com/archives/security-announce/2006//Aug/msg00000.html
(UNKNOWN)  APPLE  APPLE-SA-2006-08-01

- 漏洞信息

Fetchmail UIDL 缓冲区溢出漏洞
中危 缓冲区溢出
2005-07-27 00:00:00 2005-10-20 00:00:00
远程  
        fetchmail是免费的软件包,可以从远程POP2、POP3、IMAP、ETRN或ODMR服务器检索邮件并将其转发给本地SMTP、LMTP服务器或消息传送代理。
        Fetchmail的pop3客户端存在缓冲区溢出漏洞。利用一个长UIDL响应,远程攻击者可以执行任意代码或拒绝服务攻击。
        

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        http://fetchmail.berlios.de/
        

- 漏洞信息 (F39250)

Debian Linux Security Advisory 774-1 (PacketStormID:F39250)
2005-08-13 00:00:00
Debian  security.debian.org
advisory,arbitrary,root,imap
linux,debian
CVE-2005-2335
[点击下载]

Debian Security Advisory DSA 774-1 - Edward Shornock discovered a bug in the UIDL handling code of fetchmail, a common POP3, APOP and IMAP mail fetching utility. A malicious POP3 server could exploit this problem and inject arbitrary code that will be executed on the victim host. If fetchmail is running as root, this becomes a root exploit.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

- --------------------------------------------------------------------------
Debian Security Advisory DSA 774-1                     security@debian.org
http://www.debian.org/security/                             Martin Schulze
August 12th, 2005                       http://www.debian.org/security/faq
- --------------------------------------------------------------------------

Package        : fetchmail
Vulnerability  : buffer overflow
Problem-Type   : remote
Debian-specific: no
CVE ID         : CAN-2005-2335
CERT advisory  : 
BugTraq ID     : 14349
Debian Bug     : 212762

Edward Shornock discovered a bug in the UIDL handling code of
fetchmail, a common POP3, APOP and IMAP mail fetching utility.  A
malicious POP3 server could exploit this problem and inject arbitrary
code that will be executed on the victim host.  If fetchmail is
running as root, this becomes a root exploit.

the old stable distribution (woody) is not affected by this problem.

For the stable distribution (sarge) this problem has been fixed in
version 6.2.5-12sarge1.

For the unstable distribution (sid) this problem has been fixed in
version 6.2.5-16.

We recommend that you upgrade your fetchmail package.


Upgrade Instructions
- --------------------

wget url
        will fetch the file for you
dpkg -i file.deb
        will install the referenced file.

If you are using the apt-get package manager, use the line for
sources.list as given below:

apt-get update
        will update the internal database
apt-get upgrade
        will install corrected packages

You may use an automated update by adding the resources from the
footer to the proper configuration.


Debian GNU/Linux 3.1 alias sarge
- --------------------------------

  Source archives:

    http://security.debian.org/pool/updates/main/f/fetchmail/fetchmail_6.2.5-12sarge1.dsc
      Size/MD5 checksum:      650 3eb739416b5b7a906b56b3145cf1ba32
    http://security.debian.org/pool/updates/main/f/fetchmail/fetchmail_6.2.5-12sarge1.diff.gz
      Size/MD5 checksum:   150578 12cdd33c6299e840ffcf3cfa00eb2e0e
    http://security.debian.org/pool/updates/main/f/fetchmail/fetchmail_6.2.5.orig.tar.gz
      Size/MD5 checksum:  1257376 9956b30139edaa4f5f77c4d0dbd80225

  Architecture independent components:

    http://security.debian.org/pool/updates/main/f/fetchmail/fetchmail-ssl_6.2.5-12sarge1_all.deb
      Size/MD5 checksum:    42268 593148b798ec57fbca09340ecb139c1e
    http://security.debian.org/pool/updates/main/f/fetchmail/fetchmailconf_6.2.5-12sarge1_all.deb
      Size/MD5 checksum:   101356 c7e81ed2ef2c7375e3afb9d937a1aa91

  Alpha architecture:

    http://security.debian.org/pool/updates/main/f/fetchmail/fetchmail_6.2.5-12sarge1_alpha.deb
      Size/MD5 checksum:   572940 7426819c3db555eb6c1b5bf866b2113d

  AMD64 architecture:

    http://security.debian.org/pool/updates/main/f/fetchmail/fetchmail_6.2.5-12sarge1_amd64.deb
      Size/MD5 checksum:   554678 56223b7979f4e4410c05620d153a01ba

  ARM architecture:

    http://security.debian.org/pool/updates/main/f/fetchmail/fetchmail_6.2.5-12sarge1_arm.deb
      Size/MD5 checksum:   549146 b8f0493390f4aa713004f913f2696e73

  Intel IA-32 architecture:

    http://security.debian.org/pool/updates/main/f/fetchmail/fetchmail_6.2.5-12sarge1_i386.deb
      Size/MD5 checksum:   548184 4b004ec450045c4d0d4b9fda7d9b04cc

  Intel IA-64 architecture:

    http://security.debian.org/pool/updates/main/f/fetchmail/fetchmail_6.2.5-12sarge1_ia64.deb
      Size/MD5 checksum:   597056 5a7e4a0f676edeed83bd3e48d4747b57

  HP Precision architecture:

    http://security.debian.org/pool/updates/main/f/fetchmail/fetchmail_6.2.5-12sarge1_hppa.deb
      Size/MD5 checksum:   561656 5ed8c10d345f358e85f58937e7aa79c9

  Motorola 680x0 architecture:

    http://security.debian.org/pool/updates/main/f/fetchmail/fetchmail_6.2.5-12sarge1_m68k.deb
      Size/MD5 checksum:   537964 8ce1a7e8de2858d8b9166c7166309173

  Big endian MIPS architecture:

    http://security.debian.org/pool/updates/main/f/fetchmail/fetchmail_6.2.5-12sarge1_mips.deb
      Size/MD5 checksum:   556648 ee365e9943ae1646eb6ac051c6645833

  Little endian MIPS architecture:

    http://security.debian.org/pool/updates/main/f/fetchmail/fetchmail_6.2.5-12sarge1_mipsel.deb
      Size/MD5 checksum:   556388 5f07b01938a6171da1c319006700ec93

  PowerPC architecture:

    http://security.debian.org/pool/updates/main/f/fetchmail/fetchmail_6.2.5-12sarge1_powerpc.deb
      Size/MD5 checksum:   556168 55c628ab054ef7022c679e15edde8fae

  IBM S/390 architecture:

    http://security.debian.org/pool/updates/main/f/fetchmail/fetchmail_6.2.5-12sarge1_s390.deb
      Size/MD5 checksum:   554510 5457354b0ee7ed5c735c582408396154

  Sun Sparc architecture:

    http://security.debian.org/pool/updates/main/f/fetchmail/fetchmail_6.2.5-12sarge1_sparc.deb
      Size/MD5 checksum:   549168 db954a1eafe045ff6f2eb4c3c64abf3f


  These files will probably be moved into the stable distribution on
  its next update.

- ---------------------------------------------------------------------------------
For apt-get: deb http://security.debian.org/ stable/updates main
For dpkg-ftp: ftp://security.debian.org/debian-security dists/stable/updates/main
Mailing list: debian-security-announce@lists.debian.org
Package info: `apt-cache show <pkg>' and http://packages.debian.org/<pkg>

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFC/ICoW5ql+IAeqTIRAqn8AJ46/KeY8uk6O02wixFIxjv/JWpR/gCbBk0i
rkIK0G9csGlq7HNfRwsxWWc=
=Ilrk
-----END PGP SIGNATURE-----

    

- 漏洞信息 (F38916)

fetchmail-SA-2005-01.txt (PacketStormID:F38916)
2005-07-28 00:00:00
Matthias Andree  fetchmail.berlios.de
advisory,remote
CVE-2005-2335
[点击下载]

Fetchmail version 1.02 suffers from a remote code injection vulnerability.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

fetchmail-SA-2005-01: security announcement

Topic:		remote code injection vulnerability in fetchmail

Author:		Matthias Andree
Version:	1.02
Announced:	2005-07-21
Type:		buffer overrun/stack corruption/code injection
Impact:		account or system compromise possible through malicious
		or compromised POP3 servers
Danger:		high: in sensitive configurations, a full system
		compromise is possible
		(for 6.2.5.1: denial of service for the whole fetchmail
		system is possible)
CVE Name:	CAN-2005-2335
URL:		http://fetchmail.berlios.de/fetchmail-SA-2005-01.txt
		http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=212762
		http://www.vuxml.org/freebsd/3497d7be-2fef-45f4-8162-9063751b573a.html
		http://www.vuxml.org/freebsd/3f4ac724-fa8b-11d9-afcf-0060084a00e5.html
		http://www.freebsd.org/cgi/query-pr.cgi?pr=83805
		http://www.heise.de/security/news/meldung/62070
Thanks:		Edward J. Shornock (located the bug in UIDL code)
		Miloslav Trmac (pointed out 6.2.5.1 was faulty)
		Ludwig Nussel (provided minimal correct fix)

Affects:	fetchmail version 6.2.5.1 (denial of service)
		fetchmail version 6.2.5 (code injection)
		fetchmail version 6.2.0 (code injection)
		(other versions have not been checked)

Not affected:	fetchmail 6.2.5.2
		fetchmail 6.2.6-pre7
		fetchmail 6.3.0      (not released yet)

		Older versions may not have THIS bug, but had been found
		to contain other security-relevant bugs.

Corrected:	2005-07-22 01:37 UTC (SVN) - committed bugfix (r4157)
		2005-07-22                   fetchmail-patch-6.2.5.2 released
		2005-07-23                   fetchmail-6.2.5.2 tarball released

0. Release history

2005-07-20	1.00 - Initial announcement
2005-07-22	1.01 - Withdrew 6.2.5.1 and 6.2.6-pre5, the fix was buggy
		       and susceptible to denial of service through
		       single-byte read from 0 when either a Message-ID:
		       header was empty (in violation of RFC-822/2822)
		       or the UIDL response did not contain an UID (in
		       violation of RFC-1939).
		     - Add Credits.
		     - Add 6.2.5.1 failure details to sections 2 and 3
		     - Revise section 5 and B.
2005-07-26	1.02 - Revise section 0.
		     - Add FreeBSD VuXML URL for 6.2.5.1.
		     - Add heise security URL.
		     - Mention release of 6.2.5.2 tarball.

1. Background

fetchmail is a software package to retrieve mail from remote POP2, POP3,
IMAP, ETRN or ODMR servers and forward it to local SMTP, LMTP servers or
message delivery agents.

2. Problem description

The POP3 code in fetchmail-6.2.5 and older that deals with UIDs (from
the UIDL) reads the responses returned by the POP3 server into
fixed-size buffers allocated on the stack, without limiting the input
length to the buffer size. A compromised or malicious POP3 server can
thus overrun fetchmail's stack.  This affects POP3 and all of its
variants, for instance but not limited to APOP.

In fetchmail-6.2.5.1, the attempted fix prevented code injection via
POP3 UIDL, but introduced two possible NULL dereferences that can be
exploited to mount a denial of service attack.

3. Impact

In fetchmail-6.2.5 and older, very long UIDs can cause fetchmail to
crash, or potentially make it execute code placed on the stack. In some
configurations, fetchmail is run by the root user to download mail for
multiple accounts.

In fetchmail-6.2.5.1, a server that responds with UID lines containing
only the article number but no UID (in violation of RFC-1939), or a
message without Message-ID when no UIDL support is available, can crash
fetchmail.

4. Workaround

No reasonable workaround can be offered at this time.

5. Solution

Upgrade your fetchmail package to version 6.2.5.2.

You can either download a complete tarball of fetchmail-6.2.5.2.tar.gz,
or you can download a patch against fetchmail-6.2.5 if you already have
the 6.2.5 tarball. Either is available from:

<http://developer.berlios.de/project/showfiles.php?group_id=1824>

To use the patch:

  1. download fetchmail-6.2.5.tar.gz (or retrieve the version you already
     had downloaded) and fetchmail-patch-6.2.5.2.tar.gz
  2. unpack the tarball: gunzip -c fetchmail-6.2.5.tar.gz | tar xf -
  3. unpack the patch: gunzip fetchmail-patch-6.2.5.2.gz
  4. apply the patch: cd fetchmail-6.2.5 ; patch -p1 <../fetchmail-patch-6.2.5.2
  5. now configure and build as usual - detailed instructions in the file
     named "INSTALL".

A. References

fetchmail home page: <http://fetchmail.berlios.de/>

B. Copyright, License and Warranty

(C) Copyright 2005 by Matthias Andree, <matthias.andree@gmx.de>.
Some rights reserved.

This work is licensed under the Creative Commons
Attribution-NonCommercial-NoDerivs German License. To view a copy of
this license, visit http://creativecommons.org/licenses/by-nc-nd/2.0/de/
or send a letter to Creative Commons; 559 Nathan Abbott Way;
Stanford, California 94305; USA.

THIS WORK IS PROVIDED FREE OF CHARGE AND WITHOUT ANY WARRANTIES.
Use the information herein at your own risk.

END OF fetchmail-SA-2005-01.txt
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.0 (GNU/Linux)

iD8DBQFC5lpIvmGDOQUufZURAlv1AKCUuwHKgC/lln+fhYgt8Ba6VxI1WQCgpmBj
SLivUn3+6/zifjC4Hnaw0uc=
=PebP
-----END PGP SIGNATURE-----
    

- 漏洞信息 (F38907)

Gentoo Linux Security Advisory 200507-21 (PacketStormID:F38907)
2005-07-28 00:00:00
Gentoo  security.gentoo.org
advisory,overflow
linux,gentoo
CVE-2005-2335
[点击下载]

Gentoo Linux Security Advisory GLSA 200507-21 - fetchmail does not properly validate UIDs coming from a POP3 mail server. The UID is placed in a fixed length buffer on the stack, which can be overflown. Versions less than 6.2.5.2 are affected.

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Gentoo Linux Security Advisory                           GLSA 200507-21
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
                                            http://security.gentoo.org/
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

  Severity: Normal
     Title: fetchmail: Buffer Overflow
      Date: July 25, 2005
      Bugs: #99865
        ID: 200507-21

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Synopsis
========

fetchmail is susceptible to a buffer overflow resulting in a Denial of
Service or arbitrary code execution.

Background
==========

fetchmail is a utility that retrieves and forwards mail from remote
systems using IMAP, POP, and other protocols.

Affected packages
=================

    -------------------------------------------------------------------
     Package             /  Vulnerable  /                   Unaffected
    -------------------------------------------------------------------
  1  net-mail/fetchmail      < 6.2.5.2                      >= 6.2.5.2

Description
===========

fetchmail does not properly validate UIDs coming from a POP3 mail
server. The UID is placed in a fixed length buffer on the stack, which
can be overflown.

Impact
======

Very long UIDs returned from a malicious or compromised POP3 server can
cause fetchmail to crash, resulting in a Denial of Service, or allow
arbitrary code to be placed on the stack.

Workaround
==========

There are no known workarounds at this time.

Resolution
==========

All fetchmail users should upgrade to the latest version:

    # emerge --sync
    # emerge --ask --oneshot --verbose ">=net-mail/fetchmail-6.2.5.2"

References
==========

  [ 1 ] Fetchmail Security Advisory
        http://fetchmail.berlios.de/fetchmail-SA-2005-01.txt
  [ 2 ] CAN-2005-2335
        http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2005-2335

Availability
============

This GLSA and any updates to it are available for viewing at
the Gentoo Security Website:

  http://security.gentoo.org/glsa/glsa-200507-21.xml

Concerns?
=========

Security is a primary focus of Gentoo Linux and ensuring the
confidentiality and security of our users machines is of utmost
importance to us. Any security concerns should be addressed to
security@gentoo.org or alternatively, you may file a bug at
http://bugs.gentoo.org.

License
=======

Copyright 2005 Gentoo Foundation, Inc; referenced text
belongs to its owner(s).

The contents of this document are licensed under the
Creative Commons - Attribution / Share Alike license.

http://creativecommons.org/licenses/by-sa/2.0
    

- 漏洞信息

18174
Fetchmail UIDL POP3 Server Response Overflow
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Unknown Vendor Verified

- 漏洞描述

A remote overflow exists in fetchmail. The POP3 code fails to validate responses from the server resulting in a buffer overflow. With a specially crafted request, an attacker can cause arbitrary code execution resulting in a loss of integrity.

- 时间线

2005-07-20 Unknow
2005-08-30 Unknow

- 解决方案

Upgrade to version 6.2.5.2 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Fetchmail POP3 Client Buffer Overflow Vulnerability
Failure to Handle Exceptional Conditions 14349
Yes No
2005-07-21 12:00:00 2006-11-30 05:59:00
Edward J. Shornock reported this vulnerability to the vendor.

- 受影响的程序版本

Ubuntu Ubuntu Linux 5.0 4 powerpc
Ubuntu Ubuntu Linux 5.0 4 i386
Ubuntu Ubuntu Linux 5.0 4 amd64
Ubuntu Ubuntu Linux 4.1 ppc
Ubuntu Ubuntu Linux 4.1 ia64
Ubuntu Ubuntu Linux 4.1 ia32
Turbolinux Turbolinux Workstation 8.0
Turbolinux Turbolinux Workstation 7.0
Turbolinux Turbolinux Server 10.0
Turbolinux Turbolinux Server 8.0
Turbolinux Turbolinux Server 7.0
Turbolinux Turbolinux Desktop 10.0
Turbolinux Turbolinux 10 F...
TurboLinux Personal
TurboLinux Multimedia
Turbolinux Home
Turbolinux Appliance Server Workgroup Edition 1.0
Turbolinux Appliance Server Hosting Edition 1.0
Turbolinux Appliance Server 1.0 Workgroup Edition
Turbolinux Appliance Server 1.0 Hosting Edition
Trustix Secure Linux 2.2
Trustix Secure Linux 2.1
Trustix Secure Enterprise Linux 2.0
SuSE SUSE Linux Enterprise Server 8
+ Linux kernel 2.4.21
+ Linux kernel 2.4.19
Slackware Linux 10.0
Slackware Linux 9.1
Slackware Linux 9.0
Slackware Linux 8.1
SGI ProPack 3.0 SP6
S.u.S.E. SuSE Linux Standard Server 8.0
S.u.S.E. SuSE Linux School Server for i386
S.u.S.E. SUSE LINUX Retail Solution 8.0
S.u.S.E. SuSE Linux Openexchange Server 4.0
S.u.S.E. Open-Enterprise-Server 9.0
S.u.S.E. Novell Linux Desktop 9.0
S.u.S.E. Linux Professional 9.3 x86_64
S.u.S.E. Linux Professional 9.3
S.u.S.E. Linux Professional 9.2 x86_64
S.u.S.E. Linux Professional 9.2
S.u.S.E. Linux Professional 9.1 x86_64
S.u.S.E. Linux Professional 9.1
S.u.S.E. Linux Professional 9.0 x86_64
S.u.S.E. Linux Professional 9.0
S.u.S.E. Linux Professional 8.2
S.u.S.E. Linux Personal 9.3 x86_64
S.u.S.E. Linux Personal 9.3
S.u.S.E. Linux Personal 9.2 x86_64
S.u.S.E. Linux Personal 9.2
S.u.S.E. Linux Personal 9.1 x86_64
S.u.S.E. Linux Personal 9.1
S.u.S.E. Linux Personal 9.0 x86_64
S.u.S.E. Linux Personal 9.0
S.u.S.E. Linux Personal 8.2
S.u.S.E. Linux Enterprise Server 9
S.u.S.E. Linux Desktop 1.0
rPath rPath Linux 1
RedHat Linux 9.0 i386
RedHat Linux 7.3 i386
RedHat Enterprise Linux WS 4
RedHat Enterprise Linux WS 3
RedHat Enterprise Linux WS 2.1 IA64
RedHat Enterprise Linux WS 2.1
RedHat Enterprise Linux ES 4
RedHat Enterprise Linux ES 3
RedHat Enterprise Linux ES 2.1 IA64
RedHat Enterprise Linux ES 2.1
RedHat Desktop 4.0
RedHat Desktop 3.0
RedHat Advanced Workstation for the Itanium Processor 2.1 IA64
RedHat Advanced Workstation for the Itanium Processor 2.1
Red Hat Fedora Core2
Red Hat Fedora Core1
Red Hat Enterprise Linux AS 4
Red Hat Enterprise Linux AS 3
Red Hat Enterprise Linux AS 2.1 IA64
Red Hat Enterprise Linux AS 2.1
Mandriva Linux Mandrake 2006.0 x86_64
Mandriva Linux Mandrake 2006.0
Mandriva Linux Mandrake 10.2 x86_64
Mandriva Linux Mandrake 10.2
Mandriva Linux Mandrake 10.1 x86_64
Mandriva Linux Mandrake 10.1
MandrakeSoft Corporate Server 3.0 x86_64
MandrakeSoft Corporate Server 3.0
MandrakeSoft Corporate Server 2.1 x86_64
MandrakeSoft Corporate Server 2.1
Gentoo Linux
Eric Raymond Fetchmail 6.2.5 .1
Eric Raymond Fetchmail 6.2.5
Eric Raymond Fetchmail 6.2 .0
Eric Raymond Fetchmail 6.1 .0
+ EnGarde Secure Linux 1.0.1
+ MandrakeSoft Corporate Server 2.1 x86_64
+ MandrakeSoft Corporate Server 2.1
+ MandrakeSoft Single Network Firewall 7.2
+ Mandriva Linux Mandrake 9.0
+ Mandriva Linux Mandrake 8.2
+ Mandriva Linux Mandrake 8.1
+ Mandriva Linux Mandrake 8.0
+ Mandriva Linux Mandrake 7.2
Debian Linux 3.1 sparc
Debian Linux 3.1 s/390
Debian Linux 3.1 ppc
Debian Linux 3.1 mipsel
Debian Linux 3.1 mips
Debian Linux 3.1 m68k
Debian Linux 3.1 ia-64
Debian Linux 3.1 ia-32
Debian Linux 3.1 hppa
Debian Linux 3.1 arm
Debian Linux 3.1 amd64
Debian Linux 3.1 alpha
Debian Linux 3.1
Cosmicperl Directory Pro 10.0.3
Conectiva Linux 10.0
Apple Mac OS X Server 10.4.7
Apple Mac OS X Server 10.4.6
Apple Mac OS X Server 10.4.5
Apple Mac OS X Server 10.4.4
Apple Mac OS X Server 10.4.3
Apple Mac OS X Server 10.4.2
Apple Mac OS X Server 10.4.1
Apple Mac OS X Server 10.4
Apple Mac OS X Server 10.3.9
Apple Mac OS X Server 10.3.8
Apple Mac OS X Server 10.3.7
Apple Mac OS X Server 10.3.6
Apple Mac OS X Server 10.3.5
Apple Mac OS X Server 10.3.4
Apple Mac OS X Server 10.3.3
Apple Mac OS X Server 10.3.2
Apple Mac OS X Server 10.3.1
Apple Mac OS X Server 10.3
Apple Mac OS X Server 10.2.8
Apple Mac OS X Server 10.2.7
Apple Mac OS X Server 10.2.6
Apple Mac OS X Server 10.2.5
Apple Mac OS X Server 10.2.4
Apple Mac OS X Server 10.2.3
Apple Mac OS X Server 10.2.2
Apple Mac OS X Server 10.2.1
Apple Mac OS X Server 10.2
Apple Mac OS X Server 10.1.5
Apple Mac OS X Server 10.1.4
Apple Mac OS X Server 10.1.3
Apple Mac OS X Server 10.1.2
Apple Mac OS X Server 10.1.1
Apple Mac OS X Server 10.1
Apple Mac OS X Server 10.0
Apple Mac OS X 10.4.7
Apple Mac OS X 10.4.6
Apple Mac OS X 10.4.5
Apple Mac OS X 10.4.4
Apple Mac OS X 10.4.3
Apple Mac OS X 10.4.2
Apple Mac OS X 10.4.1
Apple Mac OS X 10.4
Apple Mac OS X 10.3.9
Apple Mac OS X 10.3.8
Apple Mac OS X 10.3.7
Apple Mac OS X 10.3.6
Apple Mac OS X 10.3.5
Apple Mac OS X 10.3.4
Apple Mac OS X 10.3.3
Apple Mac OS X 10.3.2
Apple Mac OS X 10.3.1
Apple Mac OS X 10.3
Apple Mac OS X 10.2.8
Apple Mac OS X 10.2.7
Apple Mac OS X 10.2.6
Apple Mac OS X 10.2.5
Apple Mac OS X 10.2.4
Apple Mac OS X 10.2.3
Apple Mac OS X 10.2.2
Apple Mac OS X 10.2.1
Apple Mac OS X 10.2
Apple Mac OS X 10.1.5
Apple Mac OS X 10.1.4
Apple Mac OS X 10.1.3
Apple Mac OS X 10.1.2
Apple Mac OS X 10.1.1
Apple Mac OS X 10.1
Apple Mac OS X 10.1
Apple Mac OS X 10.0.4
Apple Mac OS X 10.0.3
Apple Mac OS X 10.0.2
Apple Mac OS X 10.0.1
Apple Mac OS X 10.0 3
Apple Mac OS X 10.0
Eric Raymond Fetchmail 6.2.6 -pre7
Eric Raymond Fetchmail 6.2.5 .2

- 不受影响的程序版本

Eric Raymond Fetchmail 6.2.6 -pre7
Eric Raymond Fetchmail 6.2.5 .2

- 漏洞讨论

Fetchmail POP3 client is prone to a buffer-overflow vulnerability. This issue presents itself because the application fails to perform boundary checks before copying user-supplied data into sensitive process buffers. This includes POP variants such as APOP and others.

A successful attack can result in overflowing a finite-sized buffer and can ultimately lead to arbitrary code execution in the context of the Fetchmail process. This may allow the attacker to gain elevated privileges.

- 漏洞利用

A proof-of-concept exploit has been made available by bannedit@frontiernet.net. Please see the message reference (Fetchmail 6.2.5 exploit for Bugtraq ID: 14349) for instructions on patching fakepop version 7 to return data sufficient to exploit this vulnerability.

A series of Mac OS X v10.4.7 proof-of-concept exploits have been released by kf (kf_lists[at]digitalmunition[dot]com).

- 解决方案

The vendor has released an advisory along with version 6.2.5.2 to address this issue.

Please see the referenced advisories for more information.


Apple Mac OS X Server 10.3.9

Apple Mac OS X 10.4.7

SGI ProPack 3.0 SP6

Eric Raymond Fetchmail 6.1 .0

Eric Raymond Fetchmail 6.2 .0

Eric Raymond Fetchmail 6.2.5 .1

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站